2017-12-11 16:40 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000425mercuryBugpublic2016-10-10 20:42
Reporterwangp 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000425: mmc --make loop on wrongly named module
DescriptionTest case:

    echo 'module rong_name.' >wrong_name.m
    mmc -m wrong_name --debug-make

produces

Module dependencies file 'Mercury/module_deps/wrong_name.module_dep' not found in directories `.', `/home/wangp/local/stow/mercury-srcdist-rotd-2016-10-04/lib/mercury/ints'.
Module dependencies file 'Mercury/module_deps/wrong_name.module_dep' not found in directories `.', `/home/wangp/local/stow/mercury-srcdist-rotd-2016-10-04/lib/mercury/ints'.
Module dependencies file 'Mercury/module_deps/wrong_name.module_dep' not found in directories `.', `/home/wangp/local/stow/mercury-srcdist-rotd-2016-10-04/lib/mercury/ints'.

etc. until the process runs out of file descriptors.

Started occurring between rotd-2015-07-01 and rotd-2015-08-10 (that I have installed).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000937

zs (developer)

Fix committed 2016 oct 10.
+Notes

-Issue History
Date Modified Username Field Change
2016-10-06 13:23 wangp New Issue
2016-10-10 18:04 zs Assigned To => zs
2016-10-10 18:04 zs Status new => assigned
2016-10-10 20:42 zs Status assigned => resolved
2016-10-10 20:42 zs Resolution open => fixed
2016-10-10 20:42 zs Note Added: 0000937
+Issue History